
QGIS Application - Bug report #13998

QGIS is not rotating the Pixels when showing a rotated tif

2015-12-16 03:49 AM - Peter Drexel

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22012

Description

When loading a rotated geo-tif (rotation-parameters in tfw-file set) the image is rotated but the image-pixels themself are not rotated.

See attached sample image.

Thanks

Peter

Related issues:

Duplicates QGIS Application - Feature request # 15842: More robust support fo... Open 2016-11-13

History

#1 - 2015-12-16 04:28 AM - Peter Drexel

- File TifTfw.zip added

#2 - 2016-05-25 09:10 AM - Saber Razmjooei

- Category changed from Map Canvas to Rasters

I think it should be under Rasters.

#3 - 2016-11-13 06:33 PM - Mike Taves

I've elaborated this issue a bit more with #15842 but as a feature request.

#4 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

#6 - 2019-03-11 08:44 AM - Peter Drexel

- Status changed from Closed to Reopened

Ticket reopened, it persists in 3.6

#7 - 2019-03-11 08:53 AM - Peter Drexel

Sorry, I cannot change the Affected Version by myself...

#8 - 2019-03-11 11:35 AM - Giovanni Manghi

- Affected QGIS version changed from 2.12.0 to 3.7(master)

- Description updated

- Status changed from Reopened to Feedback

- Operating System deleted (Windows)

- Resolution deleted (end of life)

Peter Drexel wrote:

Sorry, I cannot change the Affected Version by myself...

I would say that this feature request betters fits this matter: #15842

what is your opinion?

#9 - 2019-03-12 07:37 AM - Peter Drexel

You are right, so we could close this one.
Thanks!

#10 - 2019-03-12 11:20 AM - Giovanni Manghi

- Duplicates Feature request #15842: More robust support for rotated rasters added

#11 - 2019-03-12 11:20 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

Files

TifTfw.zip 2.66 MB 2015-12-16 Peter Drexel
